SDL::Opt::Surface(3)

NAME
SDL::Opt::Surface - a SDL perl extension

SYNOPSIS
  use SDL::Opt::Surface;
  $image = new SDL::Opt::Surface(-name=>"yomama.jpg");

DESCRIPTION
The SDL::Opt::Surface module encapsulates the SDL_Surface* structure, and many of its ancillatory functions. It has a similar interface to the SDL::Surface class. Where it differs:

•   All methods require SDL::Opt::* objects. If $SDL::DEBUG is false, no type checks will be made.

•   "SDL::Opt::Surface::set_color_key" takes a flag and an SDL::Opt::Color object only.

AUTHOR
David J. Goehrig

SEE ALSO
perl SDL::Opt::Rect SDL::Opt::Color SDL::Surface